%global pypi_name scitokens

Name:           python-%{pypi_name}
Version:        1.8.1
Release:    1%{?dist}
Summary:        SciToken reference implementation library

License:        Apache-2.0
URL:            https://scitokens.org
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if 0%{?rhel} == 7
BuildRequires:  python%{python3_pkgversion}-cryptography
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-jwt >= 1.6.1
BuildRequires:  python%{python3_pkgversion}-requests
%else
BuildRequires:  python3-cryptography
BuildRequires:  python3-pytest
BuildRequires:  python3-jwt >= 1.6.1
BuildRequires:  python3-requests
%endif

%description
SciToken reference implementation library

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
SciToken reference implementation library

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if 0%{?rhel} == 7
export PYTHONPATH="%{buildroot}%{python3_sitelib}"
(cd tests/ && %{__python3} -m pytest --verbose -ra . --no-network)
%else
%pytest --verbose -ra tests/ --no-network
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info
%doc README.rst
%{_bindir}/scitokens-admin-create-key
%{_bindir}/scitokens-admin-create-token
%{_bindir}/scitokens-verify-token

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-1
- initial build
